import React, { ReactNode } from 'react';
declare class ScrollTargetsForwarder {
    private readonly listeners;
    setScrollListener(id: string, listener: () => void): () => void;
    scrollTo(id: string): void;
}
export declare function ScrollTargetsProvider({ children }: {
    children: ReactNode;
}): React.JSX.Element;
export declare function useScrollTargets(): ScrollTargetsForwarder | undefined;
export {};
